Whamcloud - gitweb
LU-527 build: update ChangeLog for recent releases
authorAndreas Dilger <adilger@whamcloud.com>
Thu, 17 Nov 2011 22:47:23 +0000 (15:47 -0700)
committerOleg Drokin <green@whamcloud.com>
Mon, 12 Dec 2011 18:03:12 +0000 (13:03 -0500)
Update the lustre/ChangeLog:
- list supported kernel versions in descending order so that it is
  more clear which is the newest and oldest versions.
- change "Patchless Client" URL (which is very old news) to point
  to the "Lustre Support Matrix" page.
- update actual release date of Lustre 2.1

Update the lnet/ChangeLog:
- remove mention of old and obsolete LNDs entirely
- move some LNDs to "Available but unsupported:" for clarity
- indicate Lustre 2.1.0 was released
- add TBD Lustre 2.2.0 release block

Signed-off-by: Andreas Dilger <adilger@whamcloud.com>
Change-Id: I623d9c0693763dce7448b5829a1ca16ee92ab048
Reviewed-on: http://review.whamcloud.com/1710
Tested-by: Hudson
Reviewed-by: Yang Sheng <ys@whamcloud.com>
Tested-by: Maloo <whamcloud.maloo@gmail.com>
lnet/ChangeLog
lustre/ChangeLog

index 9764c12..2a8a11e 100644 (file)
@@ -1,20 +1,25 @@
-TBD Oracle, Inc.
+TBD       Whamcloud, Inc.
+       * version 2.2.0
+       * Support for networks:
+        socklnd   - any kernel supported by Lustre,
+        o2iblnd   - OFED 1.1, 1.2.0, 1.2.5, 1.3, and 1.4.1
+        mxlnd     - MX 1.2.10 or later
+        ptllnd    - Portals 3.3 / UNICOS/lc 1.5.x, 2.0.x
+
+-------------------------------------------------------------------------------
+
+09-30-2011 Whamcloud, Inc.
        * version 2.1.0
        * Support for networks:
         socklnd   - any kernel supported by Lustre,
-        qswlnd    - Qsnet kernel modules 5.20 and later,
-        openiblnd - IbGold 1.8.2,
         o2iblnd   - OFED 1.1, 1.2.0, 1.2.5, 1.3, and 1.4.1
-        viblnd    - Voltaire ibhost 3.4.5 and later,
-        ciblnd    - Topspin 3.2.0,
-        iiblnd    - Infiniserv 3.3 + PathBits patch,
-        gmlnd     - GM 2.1.22 and later,
-        mxlnd     - MX 1.2.10 or later,
+       * Available but unsupported:
+        mxlnd     - MX 1.2.10 or later
         ptllnd    - Portals 3.3 / UNICOS/lc 1.5.x, 2.0.x
 
 -------------------------------------------------------------------------------
 
-2010-07-15  Sun Microsystems, Inc.
+2010-07-15  Oracle, Inc.
        * version 2.0.0
        * Support for networks:
         socklnd   - any kernel supported by Lustre,
index a4acca4..97c4f03 100644 (file)
@@ -1,21 +1,20 @@
 TBD Whamcloud, Inc.
        * version 2.2.0
+       * See http://wiki.whamcloud.com/display/PUB/Lustre+Support+Matrix
        * Server support for kernels:
+         2.6.32-131.6.1.el6  (RHEL6)
          2.6.18-238.19.1.el5 (RHEL5)
-         2.6.32-131.17.1.el6 (RHEL6)
        * Client support for unpatched kernels:
-         (see http://wiki.lustre.org/index.php?title=Patchless_Client)
-         2.6.18-238.19.1.el5 (RHEL5)
          2.6.32-131.17.1.el6 (RHEL6)
-         2.6.29.4-167.fc11  (FC11)
-         2.6.16.60-0.69.1 (SLES10)
-         2.6.27.19-5      (SLES11)
+         2.6.27.19-5         (SLES11)
+         2.6.18-238.19.1.el5 (RHEL5)
+         2.6.16.60-0.69.1    (SLES10)
        * Recommended e2fsprogs version: 1.41.90.wc3
-       * NFS export disabled when stack size < 8192. Since the NFSv4 export of
-         Lustre filesystem with 4K stack may cause a stack overflow. For more
-         information, please refer to bugzilla 17630.
-       * NFSv4 reexport requires Lustre client on the re-exporting nodes to be
-         mounted with "32bitapi" mount option
+       * NFS export disabled when stack size < 8192 (32-bit Lustre clients),
+         since the NFSv4 export of Lustre filesystem with 4K stack may cause a
+         stack overflow. For more information, please refer to bugzilla 17630.
+       * NFSv4 reexport to 32-bit NFS client nodes requires Lustre client on
+         the re-exporting nodes to be mounted with "32bitapi" mount option
 
 Severity   : enhancement
 Jira       : LU-624
@@ -23,7 +22,7 @@ Description: Update RHEL6.1 kernel to 2.6.32-131.17.1.el6
 
 --------------------------------------------------------------------------------
 
-09-16-2011 Whamcloud, Inc.
+09-30-2011 Whamcloud, Inc.
        * version 2.1.0
        * Server support for kernels:
          2.6.18-238.19.1.el5 (RHEL5)
@@ -64,7 +63,7 @@ Details    : SLES10 SP3 ships with OFED in a separate "KMP" package.
 Severity   : enhancement
 Bugzilla   : 22514
 Description: Update RHEL5.5 kernel to 2.6.18-194.17.1.el5
-             Update OEL5.5  kernel to 2.6.18-194.17.1.0.1.el5.
+            Update OEL5.5  kernel to 2.6.18-194.17.1.0.1.el5.
 
 --------------------------------------------------------------------------------